/**
 * @license Copyright (c) 2003-2017, CKSource - Frederico Knabben. All rights reserved.
 * For licensing, see LICENSE.md or http://ckeditor.com/license
 */

CKEDITOR.editorConfig = function( config ) {
	// Define changes to default configuration here.
	// For complete reference see:
	// http://docs.ckeditor.com/#!/api/CKEDITOR.config

	// The toolbar groups arrangement, optimized for two toolbar rows.
	config.toolbarGroups = [
		{ name: 'document',	   groups: [ 'document', 'doctools', 'mode' ] },
		{ name: 'clipboard',   groups: [ 'clipboard', 'undo' ] },
		{ name: 'editing',     groups: [ 'find', 'selection', 'spellchecker' ] },
		{ name: 'links' },

		{ name: 'image' },
		{ name: 'opencart' },
//		{ name: 'horizontalrule' },

		{ name: 'insert' },
		{ name: 'forms' },
		{ name: 'tools' },
		{ name: 'others' },
		'/',
		{ name: 'basicstyles', groups: [ 'basicstyles', 'cleanup' ] },
		{ name: 'paragraph',   groups: [ 'list', 'indent', 'blocks', 'align', 'bidi' ] },
		{ name: 'styles' },
		{ name: 'colors' },
		{ name: 'about' }
	];

	config.skin = 'office2013';	
	config.preset = 'standard';
	
	config.plugins = 'newpage,a11yhelp,about,allmedias,autoembed,backgrounds,basicstyles,blockquote,bootstrapVisibility,btgrid,ccmsacdc,clipboard,codesnippet,contextmenu,elementspath,enterkey,entities,floatingspace,format,horizontalrule,htmlwriter,image,imageresponsive,indentlist,link,list,magicline,maximize,pastefromword,pastetext,pbckcode,removeformat,resize,scayt,showborders,sourcearea,specialchar,stylescombo,tab,table,tabletools,templates,toolbar,undo,wsc,wysiwygarea'; // filebrowser,imageuploader,imgbrowse,btquicktable,glyphicons,

	// Remove some buttons provided by the standard plugins, which are
	// not needed in the Standard(s) toolbar.
	config.removeButtons = 'Underline,Subscript,Superscript';

	// Set the most common block elements.
	config.format_tags = 'p;h1;h2;h3;pre';

	// Simplify the dialog windows.
	config.removeDialogTabs = 'image:advanced;link:advanced';
	
	// Define changes to default configuration here. For example:
	// config.language = 'fr';
	// config.uiColor = '#AADC6E';
// Comment out or remove the 2 lines below if you want to enable the Advanced Content Filter	
	config.allowedContent = true;
	config.extraAllowedContent = '*{*}';
	config.basicEntities = false;
	config.entities_latin = false;
	config.entities_greek = false;
	config.entities_additional = '';

	config.language = $(this).attr('data-lang');
	config.extraPlugins = 'opencart,codemirror'; //
	config.codemirror_theme = 'blackboard';
	
};
